using System;

namespace frilenseri
{
    class Program
    {
        
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] b = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s1 = Console.ReadLine().Split();
                a[i] = double.Parse(s1[0]);
                b[i] = double.Parse(s1[1]);
            }
            
            double max = 0;
            double z = 0;

            for(int i = 0; i < n; i++)
            {
                for(int j = 0; j < n; j++)
                {
                    if (b[j] >= b[i])
                    {
                        z += b[i] * a[j] / 100;
                    }
                }
                if (z > max) max = z;
                z = 0;
            }
            Console.WriteLine(max);
        }
    }
}